Resend Workspace Invite
Resend a pending workspace invite with extended expiry
Path parameters
invite_id
Response
Invite resent successfully
id
token
Unique token for invite identification
email
Email address of the person being invited
role
Role to assign when invite is accepted
* `1` - Viewer
* `2` - Editor
* `3` - Admin
* `4` - Owner
Allowed values:
role_display
Get human-readable role name.
Args: obj: The model instance being serialized (typically WorkspaceInvite)
Returns: str: The human-readable role name, or “UNKNOWN” if not found
status
Current status of the invitation
* `pending` - Pending
* `accepted` - Accepted
* `cancelled` - Cancelled
* `expired` - Expired
Allowed values:
message
Optional message from the inviter
created_at
expires_at
When this invite expires
accepted_at
When the invite was accepted
invited_by_email
workspace_name
is_expired
Check if invite is expired.
Args: obj: The model instance being serialized (typically WorkspaceInvite)
Returns: bool: True if the invite is expired, False otherwise
Errors
400
Bad Request Error
403
Forbidden Error
404
Not Found Error

